Bug 1665280 - [rhel7] graphite-web and python-django version discrepancy
Summary: [rhel7] graphite-web and python-django version discrepancy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: graphite-web
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-10 20:31 UTC by Gary Mann
Modified: 2019-01-27 00:41 UTC (History)
10 users (show)

Fixed In Version: graphite-web-0.9.16-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-27 00:41:53 UTC


Attachments (Terms of Use)

Description Gary Mann 2019-01-10 20:31:41 UTC
Description of problem:

The version of python-django is too old according to requirements for graphite-web. Any execution of the python scripts shipped with the latest EPEL release of python-django and graphite-web result in failure. graphite-web 0.9.16 requires at least version 1.14 to function (see additional info).

Version-Release number of selected component (if applicable):

python2-django-1.11.13-4.el7.noarch
graphite-web-0.9.16-2.el7.noarch

How reproducible:

Always

Steps to Reproduce:
1. yum install graphite-web python-django
2. Ensure versions are identical to above (current latest versions from EPEL7)
3. Execute /usr/bin/graphite-manage

Actual results:

# /usr/bin/graphite-manage                                                                              
                                                                                      
Traceback (most recent call last):
  File "/usr/bin/graphite-manage", line 13, in <module>
    execute_from_command_line(sys.argv)
  File "/usr/lib/python2.7/site-packages/django/core/management/__init__.py", line 364, in execute_from_command_line
    utility.execute()
  File "/usr/lib/python2.7/site-packages/django/core/management/__init__.py", line 338, in execute
    django.setup()
  File "/usr/lib/python2.7/site-packages/django/__init__.py", line 27, in setup
    apps.populate(settings.INSTALLED_APPS)
  File "/usr/lib/python2.7/site-packages/django/apps/registry.py", line 108, in populate
    app_config.import_models()
  File "/usr/lib/python2.7/site-packages/django/apps/config.py", line 202, in import_models
    self.models_module = import_module(models_module_name)
  File "/usr/lib64/python2.7/importlib/__init__.py", line 37, in import_module
    __import__(name)
  File "/usr/lib/python2.7/site-packages/graphite/events/models.py", line 6, in <module>
    from tagging.managers import ModelTaggedItemManager
  File "/usr/lib/python2.7/site-packages/tagging/managers.py", line 8, in <module>
    from tagging.models import Tag, TaggedItem
  File "/usr/lib/python2.7/site-packages/tagging/models.py", line 10, in <module>
    from django.contrib.contenttypes import generic
ImportError: cannot import name generic

Expected results:

Normal python exit behavior.

Additional info:

https://github.com/graphite-project/graphite-web/blob/0.9.16/requirements.txt#L32

Comment 1 Miro Hrončok 2019-01-10 21:01:53 UTC
Actually 1.11 > 1.4.

So Django is too new. Maybe try python-django16. That's 1.6. Still not 1.4 but closer.

Comment 2 Gary Mann 2019-01-10 21:37:48 UTC
Yes sorry that's what I meant to type. I checked with python-django16 and it seems to work fine. The graphite-web package however in this case should require python-django16 instead.

Comment 3 Matthias Runge 2019-01-11 09:46:59 UTC
or this opens the door to finally update graphite-web.

Comment 4 Piotr Popieluch 2019-01-11 10:08:11 UTC
| (In reply to Matthias Runge from comment #3)
> or this opens the door to finally update graphite-web.

That is what I wanted to do for a long time. But by now I'm not sure if that can be done without breaking existing installations which would probably be against EPEL guidelines. I don't have time to figure that out and don't want people to shout at me for breaking their installation which has been working for 5 years..

So I don't plan to update EPEL7 any more. I will update it in EPEL8 when that comes available.

If someone else wants to update, then be my guest, I'll assign permissions.

Comment 5 Fedora Update System 2019-01-11 10:27:26 UTC
graphite-web-0.9.16-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c7b042b501

Comment 6 Fedora Update System 2019-01-12 03:35:14 UTC
graphite-web-0.9.16-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c7b042b501

Comment 7 Fedora Update System 2019-01-27 00:41:53 UTC
graphite-web-0.9.16-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.